## GOService

GOService

## Synopsis

    #define             GO_SERVICE_TYPE
    #define             GO_SERVICE                          (o)
    #define             IS_GO_SERVICE                       (o)
    GType               go_service_get_type                 (void);
    GOPlugin*           go_service_get_plugin               (GOService const *service);
    #define             GO_SERVICE_SIMPLE_TYPE
    #define             GO_SERVICE_SIMPLE                   (o)
    #define             IS_GO_SERVICE_SIMPLE                (o)
                        GOServiceSimple;
    GType               go_service_simple_get_type          (void);

## Description

## Details

### GO_SERVICE_TYPE

    #define GO_SERVICE_TYPE         (go_service_get_type ())

### GO_SERVICE()

    #define GO_SERVICE(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_SERVICE_TYPE, GOService))

`o` : |

### IS_GO_SERVICE()

    #define IS_GO_SERVICE(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_SERVICE_TYPE))

`o` : |

### go_service_get_type ()

    GType               go_service_get_type                 (void);

Returns : |

### go_service_get_plugin ()

    GOPlugin*           go_service_get_plugin               (GOService const *service);

`service` : |
Returns : |

### GO_SERVICE_SIMPLE_TYPE

    #define GO_SERVICE_SIMPLE_TYPE	(go_service_simple_get_type ())

### GO_SERVICE_SIMPLE()

    #define GO_SERVICE_SIMPLE(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GO_SERVICE_SIMPLE_TYPE, GOServiceSimple))

`o` : |

### IS_GO_SERVICE_SIMPLE()

    #define IS_GO_SERVICE_SIMPLE(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_SERVICE_SIMPLE_TYPE))

`o` : |

### GOServiceSimple

    typedef struct _GOServiceSimple GOServiceSimple;

### go_service_simple_get_type ()

    GType               go_service_simple_get_type          (void);

Returns : |